Bug 91601 - in.identd[30083]: request_thread: read(9, ..., 1023) failed: Connection reset by peer
in.identd[30083]: request_thread: read(9, ..., 1023) failed: Connection reset...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: pidentd (Show other bugs)
8.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Eido Inoue
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-25 12:03 EDT by David D.W. Downey
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-29 11:01:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David D.W. Downey 2003-05-25 12:03:35 EDT
Description of problem:

pidentd went haywire with these messages. load average spiked to 205+ and 
continued to spiral. box became totally unresponsive to both console and 
network connections. Reboot was the only fix.

I've checked full-disclosure, bugtraq, honeypots, vuln, vuln-dev, and 
security-* mail lists. Nothing similar. I checked bugzilla, also nothing 
similar. We've had reports of 0day findings of identd exploits. (We're an IRC 
shell&Bot/Web hosting provider).

Here's the output to system log..


root@viper root]# grep identd /var/log/messages
May 25 04:18:05 viper in.identd[30083]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 04:23:05 viper in.identd[31560]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 05:03:05 viper in.identd[7172]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 05:11:10 viper in.identd[7836]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 05:23:37 viper in.identd[9077]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 05:51:11 viper in.identd[11631]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 05:54:07 viper in.identd[11949]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 06:07:34 viper in.identd[13095]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 06:22:05 viper in.identd[14760]: request_thread: read(10, ..., 1023) 
failed: Connection reset by peer
May 25 06:40:12 viper in.identd[16212]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 06:42:10 viper in.identd[16613]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 06:50:07 viper in.identd[17123]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 07:18:05 viper in.identd[19656]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 07:36:23 viper in.identd[21540]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 07:39:33 viper in.identd[21586]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 07:41:39 viper in.identd[21985]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 07:42:32 viper in.identd[22058]: request_thread: read(10, ..., 1023) 
failed: Connection reset by peer
May 25 07:42:39 viper in.identd[22016]: request_thread: read(11, ..., 1023) 
failed: Connection reset by peer
May 25 07:42:42 viper in.identd[22171]: request_thread: read(12, ..., 1023) 
failed: Connection reset by peer
May 25 07:44:24 viper in.identd[22313]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 07:47:36 viper in.identd[22502]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 07:51:45 viper in.identd[22854]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 08:01:21 viper in.identd[23749]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 08:02:35 viper in.identd[23839]: request_thread: read(10, ..., 1023) 
failed: Connection reset by peer
May 25 08:10:51 viper in.identd[24683]: request_thread: read(9, ..., 1023) 
failed: Connection reset by peer
May 25 08:11:36 viper in.identd[24758]: request_thread: read(11, ..., 1023) 
failed: Connection reset by peer


Any takers?


Version-Release number of selected component (if applicable): pidentd-3.0.14-8


How reproducible: 


Steps to Reproduce:
1. Unknown as delivery method is not currently known.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Eido Inoue 2003-07-29 11:01:47 EDT
Never seen this before. Unfortunately, there's little I can do if I (or anyone
else) can't reproduce it.

P.S. As most irc daemons are brain-dead with respect to its use of the
ident/auth, protocol, you don't need the full powered pidentd for it and can
just substitute a simple two to three line C program that "lies" and produces a
dummy id for the sake of irc.

Note You need to log in before you can comment on or make changes to this bug.